ReflectionParameter::__clone
ReflectionParameter::export
ReflectionParameter
PHP Manual

# ReflectionParameter::__construct

(PHP 5)

ReflectionParameter::__construct — Construct

### Descrição

ReflectionParameter::__construct ( string `$function` , string `$parameter` )

Constructs a ReflectionParameter class.

Aviso

Esta função não está documentada; somente a lista de argumentos está disponível.

### Parâmetros

`function`

  The function to reflect parameters from.

`parameter`

  The parameter.

### Valor Retornado

Não há valor retornado.

### Exemplos

Exemplo #1 Using the ReflectionParameter class

`<?php
function foo($a, $b, $c) { }
function bar(Exception $a, &$b, $c) { }
function baz(ReflectionFunction $a, $b = 1, $c = null) { }
function abc() { }
$reflect = new ReflectionFunction('foo');
echo $reflect;
foreach ($reflect->getParameters() as $i => $param) {
printf(
"-- Parameter #%d: %s {\n".
" Class: %s\n".
" Allows NULL: %s\n".
" Passed to by reference: %s\n".
" Is optional?: %s\n".
"}\n",
$i, // $param->getPosition() can be used from PHP 5.2.3
$param->getName(),
var_export($param->getClass(), 1),
var_export($param->allowsNull(), 1),
var_export($param->isPassedByReference(), 1),
$param->isOptional() ? 'yes' : 'no'
);
}
?>`

O exemplo acima irá imprimir algo similar a:

    Function [ <user> function foo ] {
      @@ /Users/philip/cvs/phpdoc/a 2 - 2

      - Parameters [3] {
        Parameter #0 [ <required> $a ]
        Parameter #1 [ <required> $b ]
        Parameter #2 [ <required> $c ]
      }
    }
    -- Parameter #0: a {
       Class: NULL
       Allows NULL: true
       Passed to by reference: false
       Is optional?: no
    }
    -- Parameter #1: b {
       Class: NULL
       Allows NULL: true
       Passed to by reference: false
       Is optional?: no
    }
    -- Parameter #2: c {
       Class: NULL
       Allows NULL: true
       Passed to by reference: false
       Is optional?: no
    }

### Veja Também

- ReflectionFunction::__construct - Constructs a ReflectionFunction object
- ReflectionMethod::__construct - Constructs a ReflectionMethod
- Constructors

ReflectionParameter::__clone
ReflectionParameter::export
ReflectionParameter
PHP Manual